Debian Bug report logs - #703072
linux: hid-generic module is missing from input-modules udeb

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Thu, 14 Mar 2013 22:39:02 UTC

Severity: important

Tags: patch

Found in version linux/3.7.1-1~experimental.2

Fixed in versions linux/3.8.5-1~experimental.1, .8.5-1~experimental.1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#703072; Package src:linux. (Thu, 14 Mar 2013 22:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Mar 2013 22:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux: hid-generic module is missing from input-modules udeb
Date: Thu, 14 Mar 2013 23:37:18 +0100
Source: linux
Version: 3.7.1-1~experimental.2
Severity: important
Tags: patch

Trying to install Debian with installer images generated with a newer
kernel (3.7 in my case) leads to unrecognized USB keyboards and mice
due to the lack of hid-generic module in the installer initrd.

Here's the patch I used to include that module:

diff --git a/debian/installer/modules/input-modules b/debian/installer/modules/input-modules
index 90317fc..bc239bb 100644
--- a/debian/installer/modules/input-modules
+++ b/debian/installer/modules/input-modules
@@ -1,5 +1,6 @@
 hid
 usbhid
+hid-generic ?
 hid-apple ?
 hid-belkin ?
 hid-microsoft ?

Cheers,

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.7-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Marked as fixed in versions linux/3.8.5-1~experimental.1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 07 Apr 2013 18:39:08 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 07 Apr 2013 18:39:12 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Sun, 07 Apr 2013 18:39:12 GMT) Full text and rfc822 format available.

Message #12 received at 703072-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 703072-done@bugs.debian.org
Subject: Re: linux: hid-generic module is missing from input-modules udeb
Date: Sun, 07 Apr 2013 19:36:56 +0100
[Message part 1 (text/plain, inline)]
Version: .8.5-1~experimental.1

On Thu, 2013-03-14 at 23:37 +0100, Raphaël Hertzog wrote:
> Source: linux
> Version: 3.7.1-1~experimental.2
> Severity: important
> Tags: patch
> 
> Trying to install Debian with installer images generated with a newer
> kernel (3.7 in my case) leads to unrecognized USB keyboards and mice
> due to the lack of hid-generic module in the installer initrd.
[...]

This was fixed (along with several other omissions) in the above
version.

Ben.

-- 
Ben Hutchings
I'm not a reverse psychological virus.  Please don't copy me into your sig.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 May 2013 07:31:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:32:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.